Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.coherence.servlet
Class WebPluginInstaller

`java.lang.Object
com.tangosol.util.Base
com.tangosol.coherence.servlet.WebPluginInstaller`

Deprecated. In releases following 3.6 customization will be declarative.

      public abstract class WebPluginInstaller

extends Base

This command line utility installs container-specific Coherence*Web classes into a web container installation so that Coherence*Web can tightly integrate with the target web container.

Usage:

     java com.tangosol.coherence.servlet.WebPluginInstaller <install dir> -operation

where `<install dir>` is the installation directory of the target web container and operations include:

Name | Description
--- | ---
install | Install Coherence*Web classes into the target web container.
uninstall | Restore the web container installation to its original state.

For example, to run this utility on a BEA WebLogic server installation, issue the following command:

     java com.tangosol.coherence.servlet.WebPluginInstaller /opt/bea/weblogic -install

To uninstall Coherence*Web classes from the WebLogic installation, issue the following command:

     java com.tangosol.coherence.servlet.WebPluginInstaller /opt/bea/weblogic -uninstall

Version:
  Coherence 3.1.1
Author:
  jh 2006.01.02

Nested Class Summary
`static class` | `WebPluginInstaller.ApplyPatch` Deprecated. In releases following 3.6 customization will be declarative.

Field Summary
`protected static java.lang.String[]` | `EXT_CLASS_NAMES` Deprecated. An array of container-specific ApplyPatch extension class names.
`static java.lang.String` | `OPT_INSTALL` Deprecated. Command line option: install
`static java.lang.String` | `OPT_UNINSTALL` Deprecated. Command line option: uninstall

Constructor Summary
`WebPluginInstaller()` Deprecated. Default constructor.

Method Summary
`static void` | `main(java.lang.String[] asArgs)` Deprecated. Command-line method.
`static void` | `showInstructions()` Deprecated. Print command line instructions.

Field Detail

### OPT_INSTALL

    public static final java.lang.String OPT_INSTALL

  Deprecated.
  Command line option: install
  See Also:
    Constant Field Values

### OPT_UNINSTALL

    public static final java.lang.String OPT_UNINSTALL

  Deprecated.
  Command line option: uninstall
  See Also:
    Constant Field Values

### EXT_CLASS_NAMES

    protected static final java.lang.String[] EXT_CLASS_NAMES

  Deprecated.
  An array of container-specific ApplyPatch extension class names.

Constructor Detail

### WebPluginInstaller

    public WebPluginInstaller()

  Deprecated.
  Default constructor.

Method Detail

### main

    public static void main(java.lang.String[] asArgs)

  Deprecated.
  Command-line method.
  Parameters:
    `asArgs` - array of String arguments passed from the command line

### showInstructions

    public static void showInstructions()

  Deprecated.
  Print command line instructions.

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.